%global packname  statmod

Name:             R-%{packname}
Version:          1.4.30
Release:          2%{dist}
Summary:          Statistical modeling

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://cran.r-project.org/web/packages/statmod/
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

Requires:         R-core >= 3.0.0 
BuildRequires:    R-devel >= 3.0.0 
# No check (see below) -> no additional BR required
# suggests:
#Requires:         R-tweedie 
#BuildRequires:    tex(latex)
# suggests:
#BuildRequires:    R-tweedie

%description
Various statistical modeling functions including growth curve comparisons,
limiting dilution analysis, mixed linear models, heteroscedastic
regression, Tweedie family generalized linear models, the inverse-Gaussian
distribution and Gauss quadrature.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


# Can't perform check because of circular dep with R-tweedie
#%check
#R CMD check %{packname}

# CRLF -> LF
file=%{buildroot}%{_datadir}/R/library/%{packname}/doc/changelog.txt
sed "s|\r||g" $file > $file.new && \
touch -r $file $file.new && \
mv $file.new $file



%files

#noarch
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/html/
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/CITATION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/data/
%{_datadir}/R/library/%{packname}/libs/


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 1.4.30-1
- update to 1.4.30

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.20-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.20-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 1.4.20-1
- Update to version 1.4.20

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 1.4.18-1
- Update to version 1.4.18

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 1.4.17-2
- rebuild for R3

* Thu Apr 04 2013 Pierre-Yves Chibon <pingou@pingoured.fr> 1.4.17-1
- Update to version 1.4.17
- Package becomes arch dependent

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 pingou <pingou@pingoured.fr> 1.4.14-1
- Update to version 1.4.14

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.4.13-1
- update to 1.4.13

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 1.4.10-1
- Update to version 1.4.10

* Tue Mar 15 2011 pingou <pingou@pingoured.fr> 1.4.9-1
- Update to version 1.4.9

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 11 2010 Sandro Mathys <red at fedoraproject.org> - 1.4.6-1
- initial package
